---
title: Update
url: https://www.tines.com/docs/api/cases/blocks/update/
updated: 2026-02-25T13:49:50+00:00
description: Update an existing block.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Blocks](https://www.tines.com/llm/docs/api/cases/blocks.md)*

# Update

*[View on tines.com](https://www.tines.com/docs/api/cases/blocks/update/)*

## Description

Update an existing block.

## Request

HTTP Method: **PUT**

| Parameter      | Description                                                                                                                                                              |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| title          | **Optional** The title of the block.                                                                                                                                     |
| position       | **Optional** The zero-indexed position of the block in the case.                                                                                                         |
| hidden         | **Optional** A boolean (true or false).                                                                                                                                  |
| block_group_id | **Optional** The ID or slug of a block group to nest this block within, or `null` to remove it from a block group. Slugs are prefixed with `blk_` (e.g. `blk_my_group`). |

| Path Parameter | Description                                                                             |
| -------------- | --------------------------------------------------------------------------------------- |
| case_id        | The ID of the case.                                                                     |
| block_id       | The ID or slug of the block. Slugs are prefixed with `blk_` (e.g. `blk_my_note_block`). |

### Sample request

```bash
curl -X PUT \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/blocks/<<block_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "title": "Updated Block Title",
        "position": 2
      }'
```

## Response

A successful request will return a JSON object describing the updated block.

### Field description

| Parameter | Description       |
| --------- | ----------------- |
| block     | The block object. |

| Block Parameter | Description                                                                                                                                        |
| --------------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| id              | The ID of the block record attached to the case.                                                                                                   |
| slug            | A human-readable identifier for the block, prefixed with `blk_`. Auto-generated from the block title. Updating the title will regenerate the slug. |
| title           | The title of the block.                                                                                                                            |
| block_type      | The type of the block - options: note, file, linked_cases, metadata, closure_conditions, case_action, block_group and html.                        |
| position        | The position of the block in the case.                                                                                                             |
| hidden          | Boolean indicating whether the block is hidden.                                                                                                    |
| block_group_id  | The ID of the block group this block is nested in.                                                                                                 |
| elements        | An array of elements contained within the block.                                                                                                   |
| created_at      | ISO 8601 Timestamp representing creation date and time.                                                                                            |
| updated_at      | ISO 8601 Timestamp representing last updated date and time.                                                                                        |

#### Common Element Parameters

| Parameter    | Description                                                 |
| ------------ | ----------------------------------------------------------- |
| element_id   | The unique ID of this element within the current block.     |
| id           | The original/source ID of the element.                      |
| element_type | The type of the element - options: note, file.              |
| author       | Details of the author of the element.                       |
| created_at   | ISO 8601 Timestamp representing creation date and time.     |
| updated_at   | ISO 8601 Timestamp representing last updated date and time. |

| Author parameter   | Description                                          |
| ------------------ | ---------------------------------------------------- |
| user_id            | The user ID.                                         |
| first_name         | The user's first name.                               |
| last_name          | The user's last name.                                |
| email              | The user's email address.                            |
| avatar_url         | The user's avatar url.                               |
| is_service_account | Whether this user is a service account (true/false). |

#### Note Element Parameters

| Parameter | Description                                                                            |
| --------- | -------------------------------------------------------------------------------------- |
| content   | The content of the note.                                                               |
| note_type | The type of note - "html" for html blocks and "text" for any others.                   |
| color     | The color of the note - options: white, gold, magenta, green, blue, red, mint, indigo. |

#### File Element Parameters

| Parameter | Description                                            |
| --------- | ------------------------------------------------------ |
| file      | Object containing file information (filename and url). |

### Sample response

<!-- cspell:disable -->

```json
{
  "block": {
    "id": 123,
    "slug": "blk_updated_block_title",
    "title": "Updated Block Title",
    "block_type": "note",
    "position": 2,
    "hidden": false,
    "block_group_id": null,
    "elements": [
      {
        "element_id": 456,
        "id": 123,
        "element_type": "note",
        "content": "This is a note element",
        "note_type": "text",
        "color": "white",
        "author": {
          "user_id": "1",
          "first_name": "Jane",
          "last_name": "Doe",
          "email": "jane@tines.io",
          "avatar_url": "example.com/avatar",
          "is_service_account": false
        },
        "created_at": "2025-01-07T11:42:58Z",
        "updated_at": "2025-01-07T11:42:58Z"
      }
    ],
    "created_at": "2025-01-07T11:42:58Z",
    "updated_at": "2025-01-08T10:15:30Z"
  }
}
```

<!-- cspell:enable -->
